let PIKREQUESTLOADING = false

// create_order_submit
jQuery(document).ready(function ($) {

    $('#create_order_submit').on('click', function () {

        if (PIKREQUESTLOADING) {
            alert("Another request is ongoing, please wait and retry")
            return;
        }
        const creditCard = $('#create_credit_card').val()
        const orderId = $('#post_ID').val();

        if (!orderId || orderId == '') {
            alert("Unable to get order id")
            return;
        }

        if (!creditCard || creditCard == '' || creditCard.length < 5) {
            alert('Please select a credit card');
        } else {
            PIKREQUESTLOADING = true
            $('#create_order_submit').val('Sending....')
            data = { action: 'create_schedule_pik_order', 'order_id': orderId, type: 'create', 'credit_card': creditCard };
            $.post(my_ajax_object.ajax_url, data, function (response) {
                console.log("Response ==> ", response)
                if (response == 'success') {
                    alert('Order Started Successfully')
                } else {
                    alert(response)
                }
            }).fail(function (error) {
                console.log("error", error);
            }).always(function () {
                console.log("Finished")
                $('#create_order_submit').val('Iniciar Envío')
                location.reload()
            });
        }
    });


    $('#pik_schedule_date').datepicker({
        dateFormat: 'yy-mm-dd',
        minDate: new Date(),
        defaultDate: $('#pik_schedule_date').val()
    })

    function zeroPad(num) {
        return ('0' + num).slice(-2);
    };

    $('#schedule_order_cancel').on('click', function () {
        if (PIKREQUESTLOADING) {
            alert("Another request is ongoing, please wait and retry")
            return;
        }

        if (!confirm('Are you sure you want to cancel this schedule?')) return
        const orderId = $('#post_ID').val();
        if (!orderId || orderId == '') {
            alert("Unable to get order id")
            return;
        }
        PIKREQUESTLOADING = true
        $('#schedule_order_cancel').val('Sending....')
        data = { action: 'cancel_pik_schedule', 'order_id': orderId };
        $.post(my_ajax_object.ajax_url, data, function (response) {
            console.log("Response ==> ", response)
            if (response == 'success') {
                alert('Schedule Canceled Successfully')
            } else {
                alert(response)
            }
        }).fail(function (error) {
            console.log("error", error);
        }).always(function () {
            $('#schedule_order_cancel').val('Cancel Schedule')
            location.reload()
        });
    });

    $('#schedule_order_submit').on('click', function () {

        try {

            if (PIKREQUESTLOADING) {
                alert("Another request is ongoing, please wait and retry")
                return;
            }
            const creditCard = $('#schedule_credit_card').val()
            const orderId = $('#post_ID').val();
            let date = $('#pik_schedule_date').datepicker('getDate')
            let hour = parseInt($('#pik_schedule_hour').val());
            let minute = parseInt($('#pik_schedule_minute').val());

            if (!orderId || orderId == '') {
                alert("Unable to get order id")
                return;
            }

            if (!date) {
                alert('Please select the schedule date')
                return
            }

            if (!hour) {
                alert('Please input the schedule time');
                return;
            }

            if (hour < 8 || hour > 20) {
                alert('Schedule should be between 8AM and 8PM')
                return;
            }

            if (minute == null || isNaN(minute)) {
                alert('Please input the schedule time');
                return;
            }
            if (!creditCard || creditCard == '' || creditCard.length < 5) {
                alert('Please select a credit card');
                return;
            }

            minute = minute > 0 && minute != 30 ? 0 : minute
            date = `${date.getFullYear()}-${date.getMonth() + 1}-${date.getDate()}`

            const endHour = minute >= 30 ? hour + 1 : hour
            const endMinute = minute >= 30 ? 0 : 30

            const mergedTime = `${zeroPad(hour)}:${zeroPad(minute)}-${zeroPad(endHour)}:${zeroPad(endMinute)}`;
            //schedule[date]: 2022-08-07
            // schedule[time]: 09:00-09:30


            console.log(`Date ==> ${date}, Hour  ==> ${hour}, Minute ===> ${minute}, Merged Time ${mergedTime}`)


            PIKREQUESTLOADING = true
            $('#schedule_order_submit').val('Sending....')
            data = {
                action: 'create_schedule_pik_order',
                'order_id': orderId,
                type: 'schedule',
                'credit_card': creditCard,
                date,
                hour,
                minute,
                mergedTime,
            };
            $.post(my_ajax_object.ajax_url, data, function (response) {
                console.log("Response ==> ", response)

                if (response == 'success') {
                    alert('Order Scheduled Successfully')
                } else {
                    alert(response)
                }
            }).fail(function (error) {
                console.log("error", error);
            }).always(function () {
                console.log("Finished")
                $('#schedule_order_submit').val('Programar envío')
                location.reload()
            });

        } catch (ex) {

        }

    });

});


