<?php
/**
 * The admin settings page functionality of the plugin.
 *
 * @link       https://pikdelivery.com
 *
 * @package    pik-delivery
 * @subpackage pik-delivery/admin
 */

if(!defined('WPINC')){ die; }

if(!class_exists('PIK_Admin_Settings')):

abstract class PIK_Admin_Settings{
	protected $page_id = '';
	
	protected $tabs = '';

	public function __construct() {
		//TBD --  Removed tab, only show settings
		$this->tabs = array(
			// 'overview' => __('Overview', 'pik-delivery'),
			// 'pending' => __('Pending Orders', 'pik-delivery'),
			// 'setup' => __('Settings', 'pik-delivery'),
		);		
	}
	
	public function get_tabs(){
		return $this->tabs;
	}

	public function get_current_tab(){
		return $this->page_id;
	}
	
	
	public function render_tabs(){
		$current_tab = $this->get_current_tab();
		$tabs = $this->get_tabs();

		if(empty($tabs)){
			return;
		}
		
		echo '<h2 class="thpladmin-tabs nav-tab-wrapper woo-nav-tab-wrapper">';
		foreach( $tabs as $id => $label ){
			$active = ( $current_tab == $id ) ? 'nav-tab-active' : '';
			//$label  = esc_html__($label, 'pik-delivery');
			echo '<a class="nav-tab '.$active.'" href="'. esc_url($this->get_admin_url($id)) .'">'.$label.'</a>';
		}
		echo '</h2>';		
	}
	
	
	public function get_admin_url($tab = false){
		$url = 'admin.php?page=pik_delivery';
		if($tab && !empty($tab)){
			$url .= '&tab='. $tab;
		}
		return admin_url($url);
	}

	public function print_notices($msg, $type='updated', $return=false){
		$notice = '<div class="pik-notice '. $type .'"><p>'. $msg .'</p></div>';
		if(!$return){
			echo $notice;
		}
		return $notice;
	}

	
}

endif;