var PIKMAP
var PIKAUTOCOMPLETE
var MARKER
var GEOCODER
var ADDRESS
var SUGGESTEDNAME
var SUGGESTEDUSED
var USEDFIELD = 'billing'

// ship-to-different-address-checkbox
jQuery(document).ready(function ($) {
    // Code that uses jQuery's $ can follow here.
    initMap()
    initAutoComplete()

    //Handling the same address for both billing and shipping 
    $('#ship-to-different-address-checkbox').on('change', function () {
        USEDFIELD = 'billing'
        if ($('#ship-to-different-address-checkbox').is(":checked")) {
            USEDFIELD = 'shipping'
        }
        shippingChanged()
    });


    $('#shipping_country').on('change', function () {
        if (USEDFIELD == 'shipping') shippingChanged()
    });
    $('#shipping_state').on('change', function () {
        if (USEDFIELD == 'shipping') shippingChanged()
    });

    $('#billing_country').on('change', function () {
        console.log("Use field ==> ", USEDFIELD)
        if (USEDFIELD == 'billing') shippingChanged()
    });
    $('#billing_state').on('change', function () {
        console.log("Use fieldSSS ==> ", USEDFIELD)
        if (USEDFIELD == 'billing') shippingChanged()
    });


    // $(".shipping_method").on('change', function() {
    //     alert( $(this).val())
    //     console.log('Change event fired for ' + $(this).val());
    //   });
    $('form.checkout').on('change', 'input[name^="shipping_method"]', function () {
        var shippingMethod = $(this).val();
        console.log("Shipping method changed ", shippingMethod)

        // Hide map for PIK Delivery 
        if (shippingMethod.indexOf('local_pickup') >= 0
            || $('#' + USEDFIELD + '_state').val() != 'pa-8'
            || $('#' + USEDFIELD + '_country') != 'pa') {
            $('.pik-del-container').hide()
            changeAddress(null)
        } else {
            $('.pik-del-container').show()
            centerChanged(true)
        }
    });


    function shippingChanged() {
        if (!$('#' + USEDFIELD + '_state').val() || !$('#' + USEDFIELD + '_country').val()) return
        const country = $('#' + USEDFIELD + '_country').val().toLowerCase()
        const state = $('#' + USEDFIELD + '_state').val().toLowerCase()

        console.log(`Country ===> ${country},  State ===> ${state}`)

        if (country == 'pa' && state == 'pa-8') {
            $('.pik-del-container').show()
            centerChanged(true)
        } else {
            $('.pik-del-container').hide()
            changeAddress(null)
        }
    }

    function initMap() {
        var mapProp = {
            // center: new google.maps.LatLng(8.99217680000001, -79.5021079),
            zoom: 15,
        };
        PIKMAP = new google.maps.Map(document.getElementById("pik-shipping-map"), mapProp);
        GEOCODER = new google.maps.Geocoder();

        google.maps.event.addListener(PIKMAP, 'center_changed', function (event) {
            centerChanged();
        });

        google.maps.event.addListener(PIKMAP, 'dragend', function (event) {
            getAddress(PIKMAP.getCenter());
        });
        centerChanged(true)
    }

    function initAutoComplete() {
        const options = {
            componentRestrictions: { country: "pa" },
            fields: ["address_components", "formatted_address", "geometry", "place_id", "plus_code", "types", "name"],
        };

        PIKAUTOCOMPLETE = new google.maps.places.Autocomplete(document.getElementById("pik-search-map"), options);

        //Place seletced from dropdown 
        PIKAUTOCOMPLETE.addListener("place_changed", () => {
            let address = PIKAUTOCOMPLETE.getPlace()
            PIKMAP.setCenter(address.geometry.location)
            if (!address) return;
            address = {
                ...address,
                geometry: {
                    ...address.geometry,
                    location: {
                        lat: address.geometry.location.lat(),
                        lng: address.geometry.location.lng()
                    }
                }
            }
            changeAddress(address)

            // console.log("New Address  ==> ", ADDRESS)
        })
    }


    function centerChanged(doAddress) {
        if (!PIKMAP) return;
        const position = PIKMAP.getCenter()
        if (MARKER) {
            MARKER.setPosition(position);
        } else {
            MARKER = new google.maps.Marker({
                position: position,
                animation: google.maps.Animation.BOUNCE
            });
            MARKER.setMap(PIKMAP)
        }
        if (doAddress) getAddress(position)
    }

    function getAddress(coordinate) {
        if (!PIKMAP) return
        GEOCODER.geocode({ 'location': coordinate }, function (results, status) {
            if (status == 'OK') {

                //keep track of suggested name, only use it once after text box search 
                if (SUGGESTEDNAME && SUGGESTEDUSED) {
                    SUGGESTEDNAME = undefined
                } else if (SUGGESTEDNAME) {
                    SUGGESTEDUSED = true
                }
                let address = results[0]
                address = {
                    ...address,
                    // SUGGESTEDNAME,
                    geometry: {
                        ...address.geometry,
                        location: {
                            lat: coordinate.lat(),
                            lng: coordinate.lng()
                        }
                    }
                }
                changeAddress(address)
                $('#pik-search-map').val(address.formatted_address)
            } else {
                console.log('Geocode was not successful for the following reason: ' + status);
            }
        });
    }

    function changeAddress(address) {
        console.log("Address changed ==> ", address)
        const country = $('#' + USEDFIELD + '_country').val().toLowerCase()
        const state = $('#' + USEDFIELD + '_state').val().toLowerCase()
        if (!address || country !== 'pa' || state !== 'pa-8') {
            document.getElementById("pik_shipping_address").value = ''
            $('body').trigger('update_checkout')
            return
        }
        console.log(country, state)
        ADDRESS = address
        document.getElementById("pik_shipping_address").value = JSON.stringify(address)
        if (document.getElementById(USEDFIELD + "_address_1")) {
            document.getElementById(USEDFIELD + "_address_1").value = address.formatted_address ?? ""
        }
        //Notify woocommerce to reload
        console.log("Refreshing ======>")
        $('body').trigger('update_checkout')
    }



});


