<br class="clear" />

<!-- Login Form  -->
<form enctype="multipart/form-data" method="post">
  <table class="form-table">
    <tbody>

      <?php if($logged_in) { ?>
        <tr>
          <th colspan="2">
            <?php _e('You are already logged in, good to go', PIK_PREFIX); ?>
          </th>
        </tr>
        <tr>
          <th style="padding-top: 0px">
            <input type="submit" name="logout" id="logout" class="button button-danger"
              value="<?php _e('Logout', PIK_PREFIX); ?>" />
            <input type="hidden" name="action" value="logout" />
          </th>
        </tr>
      <?php } else { ?>
        <tr id="login-settings">
          <td colspan="2" style="padding:0;">
            <h3>
              <div class="dashicons dashicons-lock"></div>
              &nbsp;
              <?php _e('Login Setup', PIK_PREFIX); ?>
            </h3>
            <p class="description">
              <?php _e('Login to PIK Delivery with your credentials.', PIK_PREFIX); ?>
            </p>
          </td>
        </tr>
        <tr>
          <th> <label for="pik_email">
              <?php _e('Email Address', PIK_PREFIX); ?>
            </label>
          </th>
          <td><input type="email" name="pik_email" class="regular-text" required="required">
          </td>
        </tr>
        <tr>
          <th> <label for="pik_password">
              <?php _e('Password', PIK_PREFIX); ?>
            </label>
          </th>
          <td><input type="password" name="pik_password" class="regular-text" required="required">
          </td>
        </tr>      
        <tr>
          <th>
          </th>
          <td>
            <input type="submit" name="login"  class="button button-primary"
              value="<?php _e('Login', PIK_PREFIX); ?>" />
          </td>
          <input type="hidden" name="action" value="login" />
        </tr>
        
      <?php }  ?>
    </tbody>
  </table>
</form>


<!-- Other Settings -->
<form enctype="multipart/form-data" method="post">
  <table class="form-table">
    <tbody>
      <!-- Other Settings  -->
      <tr id="other-settings">
        <td colspan="2" style="padding:0;">
          <h3>
            <div class="dashicons dashicons-align-left"></div>
            &nbsp;
            <?php _e('Other Setup', PIK_PREFIX); ?>
          </h3>
        </td>
      </tr>
      <tr>
        <th> 
          <label for="sync_type">
            <?php _e('Sync Type', PIK_PREFIX); ?>
          </label>
        </th>
        <td>
            <select name="sync_type" class="regular-text">
              <option value="automatic" <?php echo $sync_type == "manual" ? 'selected' : '' ?> ><?php _e('Automatic', PIK_PREFIX); ?></option>
              <option value="manual" <?php echo $sync_type == "manual" ? 'selected' : '' ?> ><?php _e('Manual', PIK_PREFIX); ?></option>
            </select>
        </td>
      </tr>
      <tr>
        <th style="padding-top: 0px"> 
          <label for="google_api_key">
            <?php _e('Google API Key', PIK_PREFIX); ?>
          </label>
        </th>
        <td>
          <input type="text" name="google_api_key" class="regular-text" required="required" value="<?php echo $google_api_key  ?>">
        </td>
      </tr>
      <tr>
        <th style="padding-top: 0px"> 
          <label for="map_width">
            <?php _e('Map Width (in %)', PIK_PREFIX); ?>
          </label>
        </th>
        <td>
          <input type="number" name="map_width" class="regular-text" required="required" value="<?php echo $map_width  ?>">
        </td>
      </tr>
      <tr>
        <th style="padding-top: 0px"> 
          <label for="pik_map_height">
            <?php _e('Map Height (in px)', PIK_PREFIX); ?>
          </label>
        </th>
        <td>
          <input type="number" name="map_height" class="regular-text" required="required" value="<?php echo $map_height  ?>">
        </td>
      </tr>


      
      <!-- Other Settings  -->
      <tr id="other-settings">
        <td colspan="2" style="padding:0;">
          <h3>
            <div class="dashicons dashicons-car"></div>
            &nbsp;
            <?php _e('Vehicle Setup', PIK_PREFIX); ?>
          </h3>
          <small>Select shipping classes for each of the car type</small>
        </td>
      </tr>
      
      <tr>
        <th> 
          <label for="moto_class">
            <?php _e('Moto Class', PIK_PREFIX); ?>
          </label>
        </th>
        <td>
            <select name="moto_class" class="regular-text">
              <option value=''>Select Class ...</option>
              <?php foreach($shipping_classes as $sc) { ?>
                <option value="<?php echo $sc->term_id  ?>" <?php echo $moto_class == $sc->term_id  ? 'selected' : '' ?> ><?php echo $sc->name ?></option>
              <?php } ?>
            </select>
        </td>
      </tr>

      
      <tr>
        <th> 
          <label for="carro_class">
            <?php _e('Carro Class', PIK_PREFIX); ?>
          </label>
        </th>
        <td>
            <select name="carro_class" class="regular-text">
              <option value=''>Select Class ...</option>
              <?php foreach($shipping_classes as $sc) { ?>
                <option value="<?php echo $sc->term_id  ?>" <?php echo $carro_class == $sc->term_id  ? 'selected' : '' ?> ><?php echo $sc->name ?></option>
              <?php } ?>
            </select>
        </td>
      </tr>

      <tr>
        <th> 
          <label for="pickup_class">
            <?php _e('Pickup Class', PIK_PREFIX); ?>
          </label>
        </th>
        <td>
            <select name="pickup_class" class="regular-text">
              <option value=''>Select Class ...</option>
              <?php foreach($shipping_classes as $sc) { ?>
                <option value="<?php echo $sc->term_id  ?>" <?php echo $pickup_class == $sc->term_id  ? 'selected' : '' ?> ><?php echo $sc->name ?></option>
              <?php } ?>
            </select>
        </td>
      </tr>

    </tbody>
  </table>
  <!-- .form-table -->
  <p class="submit">
    <input type="submit" name="submit" id="submit" class="button button-primary" value="<?php _e('Save Changes', PIK_PREFIX); ?>" />
      <input type="hidden" name="action" value="save-others" />
  </p>
</form>